<template>
  <div>
    <div class="basicbackground" @click='clickEmpty()'  v-if="show">
      <div class="basicbackgroundClass">
        <div>是否确认领取该奖励？</div>
        <div>领取后再次邀请好友满足其他奖励门槛不可更换奖品。</div>
        <div class="btns">
          <div class="suer-btn" @click="sureClick">确定</div>
          <div class="cancel-btn" @click="closeClick">取消</div>
        </div>
        <div class="close-btn" @click="closeClick()"></div>
      </div>
    </div>
  </div>
</template>
<script>
export default {
  name: "singleClaimPop",
  data() {
    return {

    };
  },
  mounted() {
  },
  created() {

  },
  methods: {
    sureClick(){
      this.submit(true)
    },
    closeClick() {
     this.submit(false)
    },
    clickEmpty() {
      this.submit(false)
    },
  },
};
</script>
<style lang="scss" scoped>
.basicbackground {
  .basicbackgroundClass {
    height: 6.16rem;
    width: 6.6rem;
    background:#fff;
    position: relative;
    padding-top: 0.85rem;
    border-radius: 0.2rem;
    font-size: 0.36rem;
    padding: 1rem 1rem;
    text-align: center;
    .btns{
      display: flex;
      justify-content: space-around;
      margin-top: 1.5rem;
      div{
        width: 2rem;
        height: 0.8rem;
        font-size: 0.24rem;
        border-radius: 0.08rem;
        line-height: 0.8rem;
      }
      .suer-btn{
        color: #fff;
        background: #409EFF;
        border: 1px solid #c6e2ff;
      }
      .cancel-btn{
        background: #fff;
        border: 1px solid #DCDFE6;
      }
    }
    .close-btn {
      position: absolute;
      width: 0.45rem;
      height: 0.45rem;
      background: url("//img10.360buyimg.com/imgzone/jfs/t1/183690/31/37249/1097/64e2d8dcFb8273014/2bd869caeaf31168.png")
        no-repeat;
      background-size: 100% 100%;
      bottom: -0.8rem;
      left: 50%;
      transform: translateX(-50%);
    }
  }
  position: fixed;
  width: 100%;
  height: 100%;
  top: 0;
  background-color: rgba(0, 0, 0, 0.7);
  z-index: 200;
  display: flex;
  justify-content: center;
  align-items: center;
}
</style>
